package com.willalp.canteen.domain.req;

import com.willalp.canteen.domain.HsGiftOrderDetail;

import java.math.BigDecimal;
import java.util.List;

public class GiftCustomPayReq {

    private String userNumber;

    private String userName;

    private String phone;

    private BigDecimal orderTotal;

    private String deviceNumber;

    private String deviceName;

    private Integer orderType;

    private String placeNumber;

    private String jgid;

    private List<HsGiftOrderDetail> hsGifts;

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public String getUserNumber() {
        return userNumber;
    }

    public void setUserNumber(String userNumber) {
        this.userNumber = userNumber;
    }

    public BigDecimal getOrderTotal() {
        return orderTotal;
    }

    public void setOrderTotal(BigDecimal orderTotal) {
        this.orderTotal = orderTotal;
    }

    public String getDeviceNumber() {
        return deviceNumber;
    }

    public void setDeviceNumber(String deviceNumber) {
        this.deviceNumber = deviceNumber;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getPlaceNumber() {
        return placeNumber;
    }

    public void setPlaceNumber(String placeNumber) {
        this.placeNumber = placeNumber;
    }

    public String getJgid() {
        return jgid;
    }

    public void setJgid(String jgid) {
        this.jgid = jgid;
    }

    public List<HsGiftOrderDetail> getHsGifts() {
        return hsGifts;
    }

    public void setHsGifts(List<HsGiftOrderDetail> hsGifts) {
        this.hsGifts = hsGifts;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }
}
